/*
 * WorldTimeUnitTest.hpp
 *
 *  Created on: Oct 29, 2009
 *      Author: heber
 */

#ifndef WORLDTIMEUNITTEST_HPP_
#define WORLDTIMEUNITTEST_HPP_

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <cppunit/extensions/HelperMacros.h>


class WorldTime;

/********************************************** Test classes **************************************/

class WorldTimeTest : public CppUnit::TestFixture
{
    CPPUNIT_TEST_SUITE( WorldTimeTest) ;
    CPPUNIT_TEST ( CurrentTimeTest );
    CPPUNIT_TEST ( StepWidthTest );
    CPPUNIT_TEST_SUITE_END();

public:
      void setUp();
      void tearDown();
      void CurrentTimeTest();
      void StepWidthTest();

private:
      WorldTime *Time;
};

#endif /* WORLDTIMEUNITTEST_HPP_ */
